from lingpy import *
from itertools import combinations
from collections import defaultdict
from lingpy.compare.phylogeny import PhyBo

lex = LexStat('IEL.csv')

languages = ['English', 'German', 'French', 'Spanish', 'Dutch_List',
        'Italian', 'Breton_ST']
lex.output('tsv', filename='iel-subs', subset=True, rows=dict(doculect='in '+str(languages)))

lex = LexStat('iel-subs.tsv')
lex.distances = lex.get_distances(method='sca', aggregate=True)

lex.output('dst', filename='distances')

lex.cluster(method='sca', threshold=0.45, ref='scaid')

alms = Alignments(lex, ref='scaid')
alms.align()
alms.output('tsv', filename='aligned')

phy = PhyBo('aligned.tsv', ref='cogid', tree_calc='upgma')
phy.analyze()
phy.plot_concept_evolution('w-2-1', 'person', radius=0.8, outer_radius=0.1, 
        proto='alignment', fileformat='pdf')
